Load zones REST API
Note
The documentation for this API is also available as an OpenAPI description.
List all load zones
GET /cloud/v6/load_zones
List all load zones.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Id | Numeric ID of the Grafana stack representing the request scope.
| header | true | integer |
k6_load_zone_id | Filter results by k6 load zone ID (exact match). | query | false | string |
200
response
OK.
Content types:
application/json
LoadZonesListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the resulting values. | true | Array[LoadZoneApiModel] |
LoadZoneApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
available | Whether the load zone can be used to start tests. | true | boolean |
custom_load_runner_image | Custom load runner image. Only set for private load zones. | true | string
|
null |
id | ID of the load zone. | true | integer
, format: int64 |
k6_load_zone_id | ID used to identify the load zone in the k6 scripts. | true | string |
name | Name of the load zone. | true | string |
public | Whether the load zone is public or private. | true | boolean |
OK example
{
"value": [
{
"available": true,
"custom_load_runner_image": null,
"id": 1,
"k6_load_zone_id": "amazon:us:ashburn",
"name": "US East (N. Virginia)",
"public": true
},
{
"available": true,
"custom_load_runner_image": "grafana/k6:latest",
"id": 2,
"k6_load_zone_id": "ops-playground-plz",
"name": "Ops playground",
"public": false
},
{
"available": false,
"custom_load_runner_image": null,
"id": 3,
"k6_load_zone_id": "amazon:jp:tokyo",
"name": "Asia Pacific (Tokyo)",
"public": true
}
]
}400
response
Request validation error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
List projects allowed to use a given private load zone
GET /cloud/v6/load_zones/{id}/allowed_projects
List projects allowed to use a given private load zone.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Id | Numeric ID of the Grafana stack representing the request scope.
| header | true | integer |
id | ID of the load zone. | path | true | integer
, format: int64 |
200
response
OK.
Content types:
application/json
AllowedProjectsListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the resulting values. | true | Array[AllowedProjectApiModel] |
AllowedProjectApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
id | ID of the project. | true | integer
, format: int64 |
name | Name of the project. | true | string |
OK example
{
"value": [
{
"id": 139,
"k6_load_zone_id": "my-sample-project",
"name": "My sample project"
},
{
"id": 328,
"k6_load_zone_id": "platform-load-tests",
"name": "Platform load tests"
},
{
"id": 6789,
"k6_load_zone_id": "ops-playground",
"name": "Ops playground"
}
]
}401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
404
response
Resource not found.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
Update the list of projects allowed to use a given private load zone
PUT /cloud/v6/load_zones/{id}/allowed_projects
Update the list of projects allowed to use a given private load zone.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Id | Numeric ID of the Grafana stack representing the request scope.
| header | true | integer |
id | ID of the load zone. | path | true | integer
, format: int64 |
Request body
Content types:
application/json
UpdateAllowedProjectsListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the projects that will become allowed to use load zone. | true | Array[AllowedProjectToUpdateApiModel] |
AllowedProjectToUpdateApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
id | ID of the project. | true | integer
, format: int64 |
Update example
{
"value": [
{
"id": 7284
},
{
"id": 8768
},
{
"id": 348
}
]
}200
response
OK.
Content types:
application/json
AllowedProjectsListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the resulting values. | true | Array[AllowedProjectApiModel] |
AllowedProjectApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
id | ID of the project. | true | integer
, format: int64 |
name | Name of the project. | true | string |
OK example
{
"value": [
{
"id": 139,
"k6_load_zone_id": "my-sample-project",
"name": "My sample project"
},
{
"id": 328,
"k6_load_zone_id": "platform-load-tests",
"name": "Platform load tests"
},
{
"id": 6789,
"k6_load_zone_id": "ops-playground",
"name": "Ops playground"
}
]
}400
response
Request validation error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
404
response
Resource not found.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
List private load zones that can be used by a given project
GET /cloud/v6/projects/{id}/allowed_load_zones
List private load zones that can be used by a given project.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Id | Numeric ID of the Grafana stack representing the request scope.
| header | true | integer |
id | ID of the project. | path | true | integer
, format: int64 |
200
response
OK.
Content types:
application/json
AllowedLoadZonesListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the resulting values. | true | Array[AllowedLoadZoneApiModel] |
AllowedLoadZoneApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
available | Whether the load zone can be used to start tests. | true | boolean |
custom_load_runner_image | Custom load runner image. Only set for private load zones. | true | string
|
null |
id | ID of the load zone. | true | integer
, format: int64 |
k6_load_zone_id | ID used to identify the load zone in the k6 scripts. | true | string |
name | Name of the load zone. | true | string |
public | Whether the load zone is public or private. | true | boolean |
OK example
{
"value": [
{
"available": true,
"custom_load_runner_image": "grafana/k6:latest",
"id": 24,
"k6_load_zone_id": "eu-region-load-zone",
"name": "EU region load zone",
"public": false
},
{
"available": true,
"custom_load_runner_image": "grafana/k6:latest",
"id": 173,
"k6_load_zone_id": "us-region-load-zone",
"name": "US region load zone",
"public": false
},
{
"available": false,
"custom_load_runner_image": null,
"id": 8345,
"k6_load_zone_id": "ops-playground-load-zone",
"name": "Ops playground load zone",
"public": false
}
]
}401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
404
response
Resource not found.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
Update the list of private load zones that can be used by a given project
PUT /cloud/v6/projects/{id}/allowed_load_zones
Update the list of private load zones that can be used by a given project.
Request parameters
| Name | Description | In | Required | Type |
|---|---|---|---|---|
X-Stack-Id | Numeric ID of the Grafana stack representing the request scope.
| header | true | integer |
id | ID of the project. | path | true | integer
, format: int64 |
Request body
Content types:
application/json
UpdateAllowedLoadZonesListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the load zones that the project will be allowed to use. | true | Array[AllowedLoadZoneToUpdateApiModel] |
AllowedLoadZoneToUpdateApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
id | ID of the load zone. | true | integer
, format: int64 |
Update example
{
"value": [
{
"id": 11
},
{
"id": 871
},
{
"id": 17
}
]
}200
response
OK.
Content types:
application/json
AllowedLoadZonesListApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
value | List of the resulting values. | true | Array[AllowedLoadZoneApiModel] |
AllowedLoadZoneApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
available | Whether the load zone can be used to start tests. | true | boolean |
custom_load_runner_image | Custom load runner image. Only set for private load zones. | true | string
|
null |
id | ID of the load zone. | true | integer
, format: int64 |
k6_load_zone_id | ID used to identify the load zone in the k6 scripts. | true | string |
name | Name of the load zone. | true | string |
public | Whether the load zone is public or private. | true | boolean |
OK example
{
"value": [
{
"available": true,
"custom_load_runner_image": "grafana/k6:latest",
"id": 24,
"k6_load_zone_id": "eu-region-load-zone",
"name": "EU region load zone",
"public": false
},
{
"available": true,
"custom_load_runner_image": "grafana/k6:latest",
"id": 173,
"k6_load_zone_id": "us-region-load-zone",
"name": "US region load zone",
"public": false
},
{
"available": false,
"custom_load_runner_image": null,
"id": 8345,
"k6_load_zone_id": "ops-playground-load-zone",
"name": "Ops playground load zone",
"public": false
}
]
}400
response
Request validation error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
401
response
Invalid token or authentication scheme.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
403
response
The user does not have permission to perform this action.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
404
response
Resource not found.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |
500
response
Unexpected error.
Content types:
application/json
ErrorResponseApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
error | true | ErrorApiModel |
Details of the error.
ErrorApiModel properties:
| Name | Description | Required | Type |
|---|---|---|---|
code | Service-defined error code. | true | string |
details | Array of objects with more specific error information when applicable. | false | array
|
null |
message | Human-readable string describing the error. | true | string |
target | A string indicating the target of the error. For example, the name of the property in error. | false | string
|
null |


